// node modules
import React, {
    FC,
} from 'react';

// local components
import { Typography } from "../typography";

// local files
import successIcon from '../../assets/check_icon_green.svg';
import errorIcon from '../../assets/error_icon.svg';
import {useStyles} from "./styles";

export interface InfoBlockProps {
    error: boolean;
    text: string;
    className?: string;
    textStyle?: string;
}

export const InfoBlock: FC<InfoBlockProps> = ({
    error= false,
    text = '',
    className = '',
    textStyle = '',
}) => {
    const {block, typography} = useStyles({error})

    return (
        <div className={`${block} ${className}`}>
            <img src={error ? errorIcon : successIcon} alt="icon"/>
            <Typography variant="h4" className={`${typography} ${textStyle}`}>
                {text}
            </Typography>
        </div>
    )
}