// node modules
import { createUseStyles } from "react-jss";

interface propsInterface {
    error: boolean
}

export const useStyles = createUseStyles({
    block: {
        border: ({error}: propsInterface) => `1px solid ${error ? '#CF382F' : '#97C75A'}`,
        background: ({error}: propsInterface) => error ? '#FBEBEB' : '#F0F8E6',
        display: 'flex',
        padding: '12px 17px',
        width: '100%',
        alignItems: 'flex-start',
        boxSizing: 'border-box',
        borderRadius: '10px'
    },
    typography: {
        letterSpacing: '0.0008em',
        color: '#121620',
        marginLeft: '10px',
        width: '100%'
    }
})